# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.experiment_version_api import ExperimentVersionApi  # noqa: E501
from swagger_client.rest import ApiException


class TestExperimentVersionApi(unittest.TestCase):
    """ExperimentVersionApi unit test stubs"""

    def setUp(self):
        self.api = ExperimentVersionApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_create_preds_from_experiment(self):
        """Test case for create_preds_from_experiment

        create prediction on experiment-version  # noqa: E501
        """
        pass

    def test_create_unit_pred_from_experiment(self):
        """Test case for create_unit_pred_from_experiment

        create unit prediction on experiment-version  # noqa: E501
        """
        pass

    def test_edit_experiment_version_by_id(self):
        """Test case for edit_experiment_version_by_id

        get experiment version  # noqa: E501
        """
        pass

    def test_edit_experiment_version_by_id_0(self):
        """Test case for edit_experiment_version_by_id_0

        update experiment version description  # noqa: E501
        """
        pass

    def test_get_cv_from_experiment(self):
        """Test case for get_cv_from_experiment

        list experiment-version correlation matrix  # noqa: E501
        """
        pass

    def test_get_dataset_validation_from_experiment(self):
        """Test case for get_dataset_validation_from_experiment

        compatibility  # noqa: E501
        """
        pass

    def test_get_feature_by_name(self):
        """Test case for get_feature_by_name

        get feature by name  # noqa: E501
        """
        pass

    def test_get_features_from_experiment(self):
        """Test case for get_features_from_experiment

        list experiment-version features  # noqa: E501
        """
        pass

    def test_get_features_stats_from_experiment(self):
        """Test case for get_features_stats_from_experiment

        list experiment-version features stats  # noqa: E501
        """
        pass

    def test_get_graph_from_experiment(self):
        """Test case for get_graph_from_experiment

        get experiment-version graph  # noqa: E501
        """
        pass

    def test_get_holdout_preds_from_experiment(self):
        """Test case for get_holdout_preds_from_experiment

        list experiment-version holdout predictions  # noqa: E501
        """
        pass

    def test_get_image_from_experiment(self):
        """Test case for get_image_from_experiment

        get image from experiment  # noqa: E501
        """
        pass

    def test_get_preds_from_experiment(self):
        """Test case for get_preds_from_experiment

        list experiment-version predictions  # noqa: E501
        """
        pass

    def test_get_task_from_experiment(self):
        """Test case for get_task_from_experiment

        get experiment-version tasks  # noqa: E501
        """
        pass

    def test_getdropped_features_from_experiment(self):
        """Test case for getdropped_features_from_experiment

        list experiment-version dropped features  # noqa: E501
        """
        pass

    def test_launch_experiment_version(self):
        """Test case for launch_experiment_version

        Launch experiment version  # noqa: E501
        """
        pass

    def test_list_experiment_version_models(self):
        """Test case for list_experiment_version_models

        list experiment-version models  # noqa: E501
        """
        pass

    def test_pause_experiment_version_train(self):
        """Test case for pause_experiment_version_train

        pause experiment-version training  # noqa: E501
        """
        pass

    def test_remove_an_external_model(self):
        """Test case for remove_an_external_model

        Remove an external model  # noqa: E501
        """
        pass

    def test_resume_experiment_version_train(self):
        """Test case for resume_experiment_version_train

        resume experiment-version training  # noqa: E501
        """
        pass

    def test_stop_experiment_version_train(self):
        """Test case for stop_experiment_version_train

        stop experiment-version training  # noqa: E501
        """
        pass

    def test_upload_an_external_model(self):
        """Test case for upload_an_external_model

        Upload an external model  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
